%define		pkgname	BNFC-meta
Summary:	Deriving Quasi-Quoters from BNF Grammars
Name:		ghc-%{pkgname}
Version:	0.4.0.1
Release:	2
License:	GPL v2
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	ee846f41ec50b70f4dc545861914e135
URL:		http://hackage.haskell.org/package/BNFC-meta/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-alex-meta
BuildRequires:	ghc-alex-meta-prof
BuildRequires:	ghc-happy-meta
BuildRequires:	ghc-happy-meta-prof
BuildRequires:	ghc-haskell-src-meta
BuildRequires:	ghc-haskell-src-meta-prof
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_releq	ghc
Requires:	ghc-alex-meta
Requires:	ghc-happy-meta
Requires:	ghc-haskell-src-meta
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddoc files
%define		_noautocompressdoc	*.haddock

%description
Deriving Quasi-Quoters from BNF Grammars.

%package prof
Summary:	Profiling %{pkgname} library for GHC
Summary(pl.UTF-8):	Biblioteka profilująca %{pkgname} dla GHC.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ghc-alex-meta-prof
Requires:	ghc-happy-meta-prof
Requires:	ghc-haskell-src-meta-prof

%description prof
Profiling %{pkgname} library for GHC.  Should be installed when
GHC's profiling subsystem is needed.

%description prof -l pl.UTF-8
Biblioteka profilująca %{pkgname} dla GHC. Powinna być zainstalowana
kiedy potrzebujemy systemu profilującego z GHC.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 --enable-library-profiling \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc examples
%doc %{name}-%{version}-doc/*
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.o
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.a
%exclude %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*_p.a

%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/Haskell
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/Haskell/TH
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/LBNF
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/Haskell/TH/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/LBNF/*.hi

%files prof
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*_p.a
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/Haskell/TH/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Language/LBNF/*.p_hi
%changelog
* Wed Dec 25 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-BNFC-meta.git;a=log;h=master

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 63c8025
- release 2 (by relup.sh)

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> f11439b
- up to 0.4.0.1
- fixed doc install

* Fri Oct 28 2011 Jan Rękorajski <baggins@pld-linux.org> 15be7a1
- initial revision

